# $Revision: 1.24.2.2 $, $Date: 2003/04/28 12:51:53 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Macros
Summary:	Text::Macros.pm - an object-oriented text macro engine
Summary(pl):	Text::Macros.pm - obiektowo zorientowany silnik makr tekstowych
Name:		perl-Text-Macros
Version:	0.04
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Macros.pm - an object-oriented text macro engine.

%description -l pl
Text::Macros.pm - obiektowo zorientowany silnik makr tekstowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Text/Macros.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Macros.spec,v $
Revision 1.24.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.24.2.1  2003/03/13 00:59:00  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.24  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:38:51  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/28 20:58:42  qboosh
- pl description, release++

Revision 1.21  2002/08/11 19:36:49  radek
- release up

Revision 1.20  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.19  2002/07/10 09:01:50  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:34:52  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:20:57  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:35:51  depesz
adapterized

Revision 1.13  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:16:45  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:57:01  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:32  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:54  pius
- updated to 0.04

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
